[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TFileStream.Destroy

Destroys the file stream.

## Declaration

Source position: classesh.inc line 930

`public destructor TFileStream.Destroy; override;`

## Description

Destroy closes the file (causing possible buffered data to be written to disk) and then calls the inherited destructor.

Do not call destroy directly, instead call the Free method. Destroy does not check whether Self is nil, while Free does.

## See also

TFileStream.Create |  | Creates a file stream.

Documentation generated on: Feb 26 2014